📡 DNS SaaS Device API

API Reference Documentation

https://api.parenta.my.id

POST/api/devices
â–¼
POST /api/devices
Request Body
{ "user_id": "abc123", "name": "hp-ana", "custom_blocklist": ["tiktok.com", "instagram.com"] }
Example
curl -X POST https://api.parenta.my.id/api/devices \ -H "Content-Type: application/json" \ -d '{"user_id":"abc123","name":"hp-ana","custom_blocklist":["tiktok.com"]}'
Responses
201 Created 400 Bad Request 409 Conflict
GET/api/devices/:device_id
â–¼
GET /api/devices/{device_id}
Example
curl https://api.parenta.my.id/api/devices/abc123-hpana
Responses
200 OK 404 Not Found
PUT/api/devices/:device_id
â–¼
PUT /api/devices/{device_id}
Request Body
{ "custom_blocklist": ["tiktok.com", "instagram.com", "youtube.com"], "enabled": true }
Example
curl -X PUT https://api.parenta.my.id/api/devices/abc123-hpana \ -H "Content-Type: application/json" \ -d '{"custom_blocklist":["tiktok.com","youtube.com"]}'
Responses
200 OK 404 Not Found
DELETE/api/devices/:device_id
â–¼
DELETE /api/devices/{device_id}
Example
curl -X DELETE https://api.parenta.my.id/api/devices/abc123-hpana
Responses
200 OK 404 Not Found
GET/api/users/:user_id/devices
â–¼
GET /api/users/{user_id}/devices
Example
curl https://api.parenta.my.id/api/users/abc123/devices
Responses
200 OK
POST/api/devices/:device_id/blocklist
â–¼
POST /api/devices/{device_id}/blocklist
Request Body
{"domain": "youtube.com"}
Example
curl -X POST https://api.parenta.my.id/api/devices/abc123-hpana/blocklist \ -H "Content-Type: application/json" \ -d '{"domain":"youtube.com"}'
Responses
200 OK 404 Not Found
DELETE/api/devices/:device_id/blocklist/:domain
â–¼
DELETE /api/devices/{device_id}/blocklist/{domain}
Example
curl -X DELETE \ https://api.parenta.my.id/api/devices/abc123-hpana/blocklist/youtube.com
Responses
200 OK 404 Not Found
GET/api/devices/:device_id/stats
â–¼
GET /api/devices/{device_id}/stats?days=7
Query Parameters
days - Number of days to query (default: 7)
Example
curl "https://api.parenta.my.id/api/devices/abc123-hpana/stats?days=7"
Responses
200 OK
GET/health
â–¼
GET /health
Example
curl https://api.parenta.my.id/health
Responses
200 OK